#
# spec file for package hbci4java
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           hbci4java
Summary:        Java online banking client using the HBCI standard
License:        GPL-2.0-only AND LGPL-2.1-only
Group:          Productivity/Office/Finance
Version:        2.5.12.hibiscus.2.6.18
Release:        lp150.3.4
Url:            https://github.com/willuhn/hbci4java
Source:         https://github.com/willuhn/hibiscus/raw/V_2_6_18_BUILD_361/lib.src/hbci4java-2.5.12-src.zip
# extracted from https://github.com/willuhn/hbci4java
Source1:        build.xml
Source2:        cryptalgs4java.zip
Source3:        chipcard.zip
Patch0:         hbci4java-jdk9.patch
Patch1:         hbci4java-jdk10.patch
Patch2:         signed-char.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ant
BuildRequires:  gcc-c++
BuildRequires:  unzip

%description
Fork of HBCI4Java for Hibiscus, that contains support for
chipTAN, smsTAN, HHD, SEPA and other fixes/enhancements.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Libraries/Java

%description javadoc
Developer documentation of HBCI4Java for Hibiscus.

%prep
%setup -q -c %{name}-%{version} -a 2 -a 3
cp %{S:1} .
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
pushd chipcard
make
popd

%ant dist

%install
mkdir -p %{buildroot}%{_libdir}/hbci4java
install chipcard/lib/*.so %{buildroot}%{_libdir}/hbci4java
cp -r dist/jar/* %{buildroot}%{_libdir}/hbci4java

mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -r doc/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}

%clean
%ant clean

%files
%defattr(-,root,root)
%{_libdir}/hbci4java

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%changelog
* Mon Mar  5 2018 schwab@suse.de
- signed-char.patch: fix conflicting char signedness
* Fri Dec 22 2017 fstrba@suse.com
- Added patch:
  * hbci4java-jdk10.patch
    + Fix build with jdk10 by not using javah
* Mon Sep 18 2017 fstrba@suse.com
- Modified file:
  * build.xml
- Added patch:
  * hbci4java-jdk9.patch
    + Specify java source and target 1.6 to allow building with
    jdk9
* Sat Nov 19 2016 mailaender@opensuse.org
- update to version 2.5.12 Hibiscus 2.6.18 build 361
* Sat Jul  9 2016 mailaender@opensuse.org
- update to version 2.5.12 Hibiscus 2.6.17 build 361
- license changed: https://github.com/willuhn/hbci4java/issues/36
* Wed Apr 20 2016 mailaender@opensuse.org
- update to version 2.5.12 Hibiscus 2.6.15 build 361
* Mon Dec 28 2015 mailaender@opensuse.org
- initial packaging
